/**Copyright or (C) or Copr. Institut Mines Telecom, Telecom ParisTech, Ludovic Apvrille

ludovic.apvrille AT telecom-paristech.fr

This software is a computer program whose purpose is to allow malware analysis

This software is governed by the CeCILL  license under French law and
abiding by the rules of distribution of free software.  You can  use, 
modify and/ or redistribute the software under the terms of the CeCILL
license as circulated by CEA, CNRS and INRIA at the following URL
"http://www.cecill.info". 

As a counterpart to the access to the source code and  rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty  and the software's author,  the holder of the
economic rights,  and the successive licensors  have only  limited
liability. 

In this respect, the user's attention is drawn to the risks associated
with loading,  using,  modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean  that it is complicated to manipulate,  and  that  also
therefore means  that it is reserved for developers  and  experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or 
data to be ensured and,  more generally, to use and operate it in the 
same conditions as regards security. 

The fact that you are presently reading this means that you have had
knowledge of the CeCILL license and that you accept its terms.

/**
 * Class PropertiesCorrelation
 * Notion of correlations between properties
 * Creation: 03/07/2012
 * @version 1.0 03/07/2012
 * @author Ludovic APVRILLE
 * @see
 */

package cluster;


public class PropertiesCorrelation  {
	public Cluster cluster;
	public int property1Index;
	public int property2Index;
	
	public double correlationValue;
	
	// linera equation value2 = a * value1 + b
	public double a;
	public double b;
    
    
    public PropertiesCorrelation() {
    }  
    
    public double getYValue(double x) {
    	return a * x + b;
    }
    
    public boolean samePropertiesAs(PropertiesCorrelation pc) {
    	if (property1Index != pc.property1Index) {
    		return false;
    	}
    	
    	return property2Index == pc.property2Index;
    }
  
}
